curl --request POST \
--url https://app.tagadapay.com/api/public/v1/threeds/create-from-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eci": "05",
"authenticationValue": "LVJhdmVsaW4gVGVzdCBWYWx1ZS0=",
"transStatus": "Y",
"dsTransID": "dd21fcc9-6725-4a82-9591-ce603405b0db",
"messageVersion": "2.2.0"
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Create a 3DS session record directly from raw authentication values (ECI, CAVV, etc.). Useful for testing payment flows with specific 3DS data without running the full 3DS challenge. Returns a session ID that can be passed to processPayment.
Requires: org:admin role
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/threeds/create-from-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eci": "05",
"authenticationValue": "LVJhdmVsaW4gVGVzdCBWYWx1ZS0=",
"transStatus": "Y",
"dsTransID": "dd21fcc9-6725-4a82-9591-ce603405b0db",
"messageVersion": "2.2.0"
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Enter your API key as: Bearer your-api-key
Successful response